import { Request } from 'web_notebook-test1';
import commonInterceptors from './common_interceptors';
let version = 'v1'
let path = {
  // 开发
  development: `http://192.168.10.200:8020/upaLogs`,
  // 200
  lan: `http://192.168.10.200:8009/projectName/${version}`,
  // 测试
  pred: `https://dtgateway.allhome.com.cn/projectName/${version}`,
  // 线上
  production: `https://gateway.allhome.com.cn/projectName/${version}`
}


// 组件库封装之后的请求
const request = new Request({
  baseURL: path[process.env.NODE_ENV],
  timeout: 60000,
}, process.env.NODE_ENV, 'web_log_test');


// 设置拦截器
request.interceptors(commonInterceptors)

export default request;